
create table HistCobrancaW
(
    TipoEmpresa         char(1)                not null,
    CodigoEmpresa       char(5)                not null,
    Registro            DATETIME               not null,
    Hora                char(4)                not null,
    Status              char(2)                not null,
    Matricula           char(15)               not null,
    Contato             char(55)               not null,
    Assunto             char(55)               not null,
    Historico           char(2000)             not null,
    Documento           char(80)               null,
    Concluido           char(1)                not null,
    MatrCad             char(15)               not null,
    DataCad             DATETIME               not null,
    MatrAlt             char(15)               not null,
    DataAlt             DATETIME               null,
    MatrCon             char(15)               not null,
    DataCon             DATETIME               null
);
 
INSERT INTO HistCobrancaW SELECT TipoEmpresa, CodigoEmpresa, Registro, Hora, Status, Matricula,
                                 Contato, Assunto, Historico, Documento,
                                 Concluido, MatrCad, DataCad, MatrAlt, DataAlt, MatrCon, DataCon 
                          FROM HistCobranca;

alter table HistCobranca drop constraint FK_HistCobranca_StatusHCob;

alter table HistCobranca drop constraint PK_HistCobranca;
   
DROP TABLE HistCobranca;
         
create table HistCobranca
(
    TipoEmpresa         char(1)                not null,
    CodigoEmpresa       char(5)                not null,
    Registro            DATETIME               not null,
    Hora                char(4)                not null,
    Status              char(2)                not null,
    Matricula           char(15)               not null,
    Contato             char(55)               not null,
    Assunto             char(55)               not null,
    Historico           char(2000)             not null,
    Documento           char(80)               null,
    Concluido           char(1)                not null,
    MatrCad             char(15)               not null,
    DataCad             DATETIME               not null,
    MatrAlt             char(15)               not null,
    DataAlt             DATETIME               null,
    MatrCon             char(15)               not null,
    DataCon             DATETIME               null
);
         
INSERT INTO HistCobranca SELECT * FROM HistCobrancaW; 
 
alter table HistCobranca
    add constraint PK_HistCobranca primary key (TipoEmpresa, CodigoEmpresa, Registro, Hora);

alter table HistCobranca
    add constraint FK_HistCobranca_StatusHCob foreign key  (Status)
       references StatusHCob (Codigo);
  
create index HistCobranca_FK1 on HistCobranca (TipoEmpresa, CodigoEmpresa);
create index HistCobranca_FK2 on HistCobranca (TipoEmpresa, CodigoEmpresa, Status);
create index HistCobranca_FK3 on HistCobranca (Matricula, Concluido);

GRANT ALL ON HistCobranca TO BYTEC;
 
DROP TABLE HistCobrancaW ;




